class Origami::CashOutsController < BaseOrigamiController
  def new
  end

  def create
    reference = params[:reference]
    remark = params[:remark]
    amount = params[:amount]
    p_jour = PaymentJournal.new
    p_jour.cash_out(reference, remark, amount, current_user)
    shift = ShiftSale.current_open_shift(current_user)

    current_shift = ShiftSale.current_shift

       # set cashier
      if shift != nil
        shift = shift
      else
        open_cashier = Employee.where("role = 'cashier' AND token_session <> ''")
        if open_cashier.count>0

          shift = ShiftSale.current_open_shift(open_cashier[0])

          if shift
            emp = Employee.find_by_id(shift.employee_id)
            shift = ShiftSale.current_open_shift(emp)
          else
             shift = ShiftSale.current_open_shift(current_shift)
          end
        else
          # shift = Employee.find(current_shift.employee_id).name
          shift =current_shift
        end
      end
    shift.cash_out = shift.cash_out + amount.to_i
    shift.save
  end

end
